Index: trunk/calendar/templates/default/app_print.css
===================================================================
--- trunk/calendar/templates/default/app_print.css	(revision 360)
+++ trunk/calendar/templates/default/app_print.css	(revision 855)
@@ -8,9 +8,9 @@
 	color: #000066;
 	background-color: #F7F7F7;
-/*	border: 1px solid #CCCCCC;*/
+	border: 1px solid #CCCCCC;
 	margin: 5px;
 	padding: 5px;
 	height: 700px;
-	width: 900px;
+	width: 600px;
 }
 .button {
@@ -226,5 +226,5 @@
 	table-layout:fixed;
 	overflow:hidden;
-	height: 95%;
+	height: 90%;
 	width: 100%;
 	border: 0px #000000 solid;
@@ -250,5 +250,5 @@
 	font-weight: bold;
 	font-family: Arial;
-	font-size: 13px;
+	font-size: 10px;
 	vertical-align: top;
 	background-color: #778899;
@@ -267,5 +267,5 @@
 .calendar_month_identifier
 {
-	font-size:22px;
+	font-size:18px;
 	font-weight: bold;
 }
@@ -273,5 +273,5 @@
 .calendar_user_identifier
 {
-	font-size:14px;
+	font-size:12px;
 	color: #009999;
 	font-weight: bold;
@@ -293,10 +293,2 @@
 	font-style: italic;
 }
-
-.calendar_index_table
-{
-	background-color: #dddddd;
-	border-bottom-style: double;
-	border-bottom-width: medium;
-
-}
Index: trunk/calendar/templates/default/header.inc.php
===================================================================
--- trunk/calendar/templates/default/header.inc.php	(revision 2)
+++ trunk/calendar/templates/default/header.inc.php	(revision 855)
@@ -65,5 +65,5 @@
 	}
 
-	add_col($tpl,'  <td width="2%" align="left">'.add_image_ahref($this->page('matrixselect'),'view',lang('Daily Matrix View')).'</td>');
+	//add_col($tpl,'  <td width="2%" align="left">'.add_image_ahref($this->page('matrixselect'),'view',lang('Daily Matrix View')).'</td>');
 
 	add_col($tpl,'  <td width="'.(100 - $col_width).'%" align="left"'.(floor(phpversion()) < 4?' colspan="2"':'').'>&nbsp;</td>');
@@ -165,12 +165,16 @@
 			$tpl->parse('header_column','head_col',True);
 		}
+//aqui !!
 
 		if((!isset($GLOBALS['phpgw_info']['server']['deny_user_grants_access']) || !$GLOBALS['phpgw_info']['server']['deny_user_grants_access']) && count($this->bo->grants) > 0)
 		{
 			$form_options = '';
-			$drop_down = $this->bo->list_cals();
+			
+			$drop_down = $this->bo->list_cals(); //hehe
+			
 			foreach($drop_down as $key => $grant)
-			{
-				$form_options .= '    <option value="'.$grant['value'].'"'.($grant['grantor']==$this->bo->owner?' selected':'').'>'.$grant['name'].'</option>'."\n";
+			{					
+				if(!strstr(($grant['value']),'g_')) 
+					$form_options .= '    <option value="'.$grant['value'].'"'.($grant['grantor']==$this->bo->owner?' selected':'').'>'.$grant['name'].'</option>'."\n";
 			}
 		
Index: trunk/calendar/templates/default/month_header.tpl
===================================================================
--- trunk/calendar/templates/default/month_header.tpl	(revision 2)
+++ trunk/calendar/templates/default/month_header.tpl	(revision 855)
@@ -1,3 +1,2 @@
-
 <!-- BEGIN monthly_header -->
 <tr class="calendar_m_w_table_header" colspan="{cols}" width="{col_width}%">
@@ -6,5 +5,5 @@
 
 <!-- BEGIN column_title -->
-<th class="calendar_weekview_daytitle" width="14.28%">{col_title}</th>
+<th bGCOLOR="#D3DCE3" width="14.28%">{col_title}</th>
 <!-- END column_title -->
 
Index: trunk/calendar/templates/default/month_day_print.tpl
===================================================================
--- trunk/calendar/templates/default/month_day_print.tpl	(revision 360)
+++ trunk/calendar/templates/default/month_day_print.tpl	(revision 855)
@@ -11,5 +11,5 @@
 <table>
 <!-- BEGIN month_daily -->
-<tr><td style="font-size: 13px; font-weight: bold; text-decoration: underline;" width="10px">{day_number}</td>
+<tr><td style="font-size: 10px; font-weight: bold; text-decoration: underline;" width="10px">{day_number}</td>
 <td>{daily_events}</td>
 <!-- END month_daily -->
Index: trunk/calendar/templates/default/footer.tpl
===================================================================
--- trunk/calendar/templates/default/footer.tpl	(revision 2)
+++ trunk/calendar/templates/default/footer.tpl	(revision 855)
@@ -9,5 +9,5 @@
 <!-- END footer_table -->
 <!-- BEGIN footer_row -->
-         <td valign="top" width="33%">
+         <td valign="top" width="30%">
           <font size="-1">
            <form action="{action_url}" method="post" name="{form_name}">
@@ -17,4 +17,6 @@
 	     {row}
 	    </select>
+			<input type="hidden" name="user" value="{user}">
+			<input type="hidden" name="dia_ini" value="{dia_ini}">
             <noscript><input type="submit" value="{go}"></noscript>
 	   </form>
@@ -24,7 +26,38 @@
 <!-- BEGIN blank_row -->
          <td>
-          {b_row}
+         {b_row}
+         </td>
+         <td>
+         {b_row2}
          </td>
 <!-- END blank_row -->
+<!-- BEGIN num_dias -->
+	<td valign="top" width="30%">
+		<font size="-1">
+			<form action="{acao}" method="post" name="{formname}">
+			<span style="display: {display}" >
+				<label>
+					<b>{num_dias_label}:</b>
+				</label>
+				<select name="{num_dias_name}" onchange="{formonchange}"/>
+					{row_qtd}
+				</select>
+				<br />
+				<span style="font-size: 9px;">
+					{tip}
+				</span>
+				<br />
+				<br />
+			</span>
+			<span style="display: {display}">
+				<b>{day_ini_label}:</b>
+				<select name="{day_ini_name}" onchange="{formonchange}">
+					{row_ini}
+				</select>
+			</span>
+			<input type="hidden" name="user" value="{user}">
+				<noscript><input type="submit" value="{go}"></noscript>
 
-
+			</form></font>
+	</td>
+<!-- END num_dias -->
Index: trunk/calendar/templates/default/app.css
===================================================================
--- trunk/calendar/templates/default/app.css	(revision 360)
+++ trunk/calendar/templates/default/app.css	(revision 855)
@@ -6,8 +6,8 @@
 	color: #000066;
 	background-color: #F7F7F7;
-/*	border: 1px solid #CCCCCC;*/
+	border: 1px solid #CCCCCC;
 	margin: 5px;
 	padding: 5px;
-	height: 116px;
+	height: 156px;
 	width: 480px;
 }
@@ -17,8 +17,9 @@
 	font-family: Verdana, Arial, Helvetica, sans-serif;
 	font-size: 14px;
-	color: #006699;
+	color: 006699;
 	background-color: #D4D0C8;
 	border: 2px solid #666666;
 }
+
 .to_continue
 {
@@ -141,5 +142,5 @@
 }
 
-/*Mini Calendar*/
+//Mini Calendar
 
 .calendar_minical_table
@@ -168,4 +169,5 @@
 .calendar_dropbuttons
 {
+	align: center;
 	text-align: center;
 	vertical-align: bottom;
@@ -226,6 +228,6 @@
 {
 	table-layout:fixed;
-	overflow:auto;
-	height: 100%;
+	overflow:hidden;
+	height: 90%;
 	width: 100%;
 	border: 0px #000000 solid;
@@ -234,4 +236,5 @@
 .calendar_m_w_tablecell
 {
+	overflow:hidden;
 	vertical-align: top;
 	padding-left: 4px;
@@ -240,4 +243,15 @@
 }
 
+.screen_only
+{
+	font-size: 10px;
+}
+
+.calendar_m_w_table_daynumber
+{
+	font-weight: bold;
+	font-size: 10px;
+}
+
 A.event_entry
 {
@@ -275,18 +289,2 @@
 	font-style: italic;
 }
-
-.calendar_index_table
-{
-	background-color: #dddddd;
-	border-bottom-style: double;
-	border-bottom-width: medium;
-
-}
-
-.calendar_index_table
-{
-	background-color: #dddddd;
-	border-bottom-style: double;
-	border-bottom-width: medium;
-
-}
Index: trunk/calendar/templates/default/day.tpl
===================================================================
--- trunk/calendar/templates/default/day.tpl	(revision 2)
+++ trunk/calendar/templates/default/day.tpl	(revision 855)
@@ -22,12 +22,5 @@
      				</td>
     			</tr>
-    			<tr>
-     				<td align="center">
-      					<div class="th">
-       						<p class="calendar_dayview_todo_header">{lang_todos}</p>
-								{todos}
-      					</div>
-     				</td>
-    			</tr>
+
    			</table>
   		</td>
Index: trunk/calendar/templates/default/month_day.tpl
===================================================================
--- trunk/calendar/templates/default/month_day.tpl	(revision 360)
+++ trunk/calendar/templates/default/month_day.tpl	(revision 855)
@@ -2,6 +2,6 @@
 <!-- BEGIN m_w_table -->
 
-<table id="calendar_m_w_table" class="calendar_m_w_table">
-	<!-- from month_header.tpl -->
+<table id="calendar_m_w_table" class="calendar_m_w_table" border="0" width="100%">
+	<! from month_header.tpl -->
 	{row}
 </table>
@@ -9,5 +9,5 @@
 
 <!-- BEGIN month_daily -->
-<span id="calendar_m_w_table_daynumber" style="font-size:10px">[ {day_number} ]</span>{new_event_link}<br />
+<span class="screen_only">[ </span><span class="calendar_m_w_table_daynumber" >{day_number}</span><span class="screen_only"> ]</span>{new_event_link}<br />
     {daily_events}
 <!-- END month_daily -->
Index: trunk/calendar/templates/default/edit.tpl
===================================================================
--- trunk/calendar/templates/default/edit.tpl	(revision 2)
+++ trunk/calendar/templates/default/edit.tpl	(revision 855)
@@ -1,3 +1,12 @@
 <!-- BEGIN edit_entry -->
+<style type="text/css">
+div#tipDiv {
+  position:absolute; visibility:hidden; left:0; top:0; z-index:10000;
+  background-color:#EFEFEF; border:1px solid #337;
+  width:220px; padding:3px;
+  color:#000; font-size:11px; line-height:1.2;
+  cursor: default;
+}
+</style>
 <script language="JavaScript">
 	self.name="first_Window";
@@ -12,8 +21,8 @@
 <form action="{action_url}" method="post" name="app_form">
 {common_hidden}
-<table border="0" width="90%">
+<table id="editFormTable" border="0" width="90%">
  <tr>
   <td colspan="2">
-   <center><font size="+1"><b>{errormsg}</b></font></center>
+   <center><font size="+1"><b id="formStatus">{errormsg}</b></font></center>
   </td>
  </tr>
@@ -24,5 +33,8 @@
   <td>
   <div style="padding-top:15px; padding-right: 2px">
-  	<input style="font-size:10px" type="submit" value="{submit_button}" onClick="javascript:submitValues()"></div></form>
+  	<script language="JavaScript">
+		var alert_field = '{alert_msg}';
+	</script>
+  	<input id="submit_button" style="font-size:10px" type="submit" value="{submit_button}" onClick="return submitValues(alert_field);"></div></form>
   </td>
   <td>{cancel_button}</td>
Index: trunk/calendar/templates/default/week.tpl
===================================================================
--- trunk/calendar/templates/default/week.tpl	(revision 2)
+++ trunk/calendar/templates/default/week.tpl	(revision 855)
@@ -1,5 +1,3 @@
-
 {printer_friendly}
-
 <!-- from month_day.tpl -->
 {week_display}
Index: trunk/calendar/templates/default/event_link.tpl
===================================================================
--- trunk/calendar/templates/default/event_link.tpl	(revision 360)
+++ trunk/calendar/templates/default/event_link.tpl	(revision 855)
@@ -20,11 +20,11 @@
 
 <!-- BEGIN link_event_text -->
-	<tr style="font-size: 14px;background: #dddddd;">
-		<td valign="top" style="color: black; font-size: 13px;">
+	<tr style="font-size: 10px;background: #dddddd;">
+		<td valign="top" style="color: black; font-size: 11px;">
 			<span>
 				{time}
 			</span>
 		</td>
-		<td style="font-size: 14px; border: #E8F0F0 1px solid;" colspan="3">
+		<td style="font-size: 11px; border: #E8F0F0 1px solid;" colspan="3">
 			<span><b>{title}</b></span>
 			<br />
Index: trunk/calendar/templates/default/head.tpl
===================================================================
--- trunk/calendar/templates/default/head.tpl	(revision 2)
+++ trunk/calendar/templates/default/head.tpl	(revision 855)
@@ -1,7 +1,17 @@
-
 <!-- BEGIN head -->
+<script language="Javascript">
+function openwindow(url)
+{ 
+	
+	var window_features = 	"scrollbars=yes,resizable=yes,location=no,menubar=no," + 
+							"personalbar=no,status=no,titlebar=no,toolbar=no," + 
+							"screenX=screen.width/3,screenY=screen.height/3,top=screen.height/3,left=screen.width/3,width=" + 
+							screen.width/4*3 + ",height=" + screen.height/8*3; 
+	
+	self.open(url,'', window_features); 
+}
+</script>
 {row}<br />
 <!-- END head -->
-
 <!-- BEGIN head_table -->
 <table id="calendar_head_table" class="calendar_head_table" border="0" width="100%" cols="{cols}" cellpadding="0" cellspacing="0">
@@ -11,5 +21,4 @@
 </table>
 <!-- END head_table -->
-
 <!-- BEGIN head_col -->
 {str}
Index: trunk/calendar/templates/default/month_print.tpl
===================================================================
--- trunk/calendar/templates/default/month_print.tpl	(revision 360)
+++ trunk/calendar/templates/default/month_print.tpl	(revision 855)
@@ -20,5 +20,4 @@
 </table>
 {large_month}
-{teste}
 <p>
 <p>
Index: trunk/calendar/templates/default/body_email.tpl
===================================================================
--- trunk/calendar/templates/default/body_email.tpl	(revision 2)
+++ trunk/calendar/templates/default/body_email.tpl	(revision 855)
@@ -1,27 +1,32 @@
-<table boder='0' cellpading='0' cellspacing='0' width='100%'>
+<html>
+<head>
+<meta http-equiv="Content-Language" content="en" />
+<meta name="GENERATOR" content="PHPEclipse 1.0" />
+<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
+<title>title</title>
+</head>
+<body bgcolor="#FFFFFF" text="#000000" link="#FF9966" vlink="#FF9966" alink="#FFCC99">
+<!-- BEGIN list -->
+<b><p align='left'>{subject}</p></b>
+<br>
+<table border='0' cellpadding='0' cellspacing='0' width='100%'>
+<tr><td width='30%' valign='top'><b>{var1} ::</b></td><td>{vardata1}</td></tr>	
+<tr><td width='30%' valign='top'><b>{var2} ::</b></td><td>{vardata2}</td></tr>
+<tr><td width='30%' valign='top'><b>{var3} ::</b></td><td>{vardata3}</td></tr>
+<tr><td width='30%' valign='top'><b>{var4} ::</b></td><td>{vardata4}</td></tr>
+<tr><td width='25%' valign='top'><b>{var8} ::</b></td><td>{vardata8}</td></tr>
+<tr><td width='25%' valign='top'><b>{var5} ::</b></td><td>{vardata6}</td></tr>
+</table>
+<br>
+<hr size='1' width='100%'>
+<table border='0' cellpadding='4' cellspacing='4' width='100%'>
 <tr>
-			<td width='15%' valign='top'><b>{var1} ::</b></td>
-			<td>{vardata1}</td>
-</tr>	
-<tr>
-			<td width='15%' valign='top'><b>{var2} ::</b></td>
-			<td>{vardata2}</td>
-</tr>
-			<tr>
-			<td width='15%' valign='top'><b>{var3} ::</b></td>
-			<td>{vardata3}</td>
-</tr>
-<tr>
-			<td width='15%' valign='top'><b>{var4} ::</b></td>
-			<td>{vardata4}</td>
-</tr>
-<tr>
-			<td width='15%' valign='top'><b>$var5 ::</b></td>
-			<td>{vardata6}</td>
-</tr>
-<tr>
-		<td>
-			{vardata7}
-		</td>
+<td width='2%' align='left'>{varbuttom}</td>
+<td width='2%' align='left' valign='top'>{varbuttom1}</td>
+<td width='2%' align='left' valign='top'>{varbuttom2}</td>
+<td width='94%' align='left' valign='top'>{varbuttom3}</td>
 </tr>
 </table>
+<!-- END list -->
+</body>
+</html>
Index: trunk/calendar/templates/default/config.tpl
===================================================================
--- trunk/calendar/templates/default/config.tpl	(revision 2)
+++ trunk/calendar/templates/default/config.tpl	(revision 855)
@@ -11,5 +11,4 @@
     <td colspan="2">&nbsp;</td>
    </tr>
-
    <tr bgcolor="{row_off}">
     <td colspan="2"><b>{lang_Calendar_settings}</b></td>
@@ -32,4 +31,29 @@
      </select>
     </td>
+   <tr bgcolor="{row_on}">
+    <td colspan="2">&nbsp;</td>
+   </tr>    
+   </tr>
+    <tr bgcolor="{row_off}">
+    <td colspan="2"><b>{lang_ExpressoMail_Plugin_Calendar}</b></td>
+   </tr>
+   <tr bgcolor="{row_on}">
+    <td>{lang_Select_module_version_expressoMail_(if_available)}</td>
+    <td>
+     <select name="newsettings[cal_expressoMail]">
+      <option value="False"{selected_cal_expressoMail_False}>{lang_dont_use_any_plugin}</option>
+      <option value="1.0"{selected_cal_expressoMail_1.0}>Expresso 1.0</option>
+      <option value="1.2"{selected_cal_expressoMail_1.2}>Expresso 1.2</option>
+     </select>
+    </td>
+   </tr>
+    <tr bgcolor="{row_off}">
+    <td>{lang_Select_type_tree_view}</td>
+    <td>
+     <select name="newsettings[cal_type_tree_participants]">      
+      <option value="2" {selected_cal_type_tree_participants_2}>{lang_first_level_with_recursive_search}</option>
+      <option value="1" {selected_cal_type_tree_participants_1}>{lang_all_levels_with_not_recursive_search}</option>      
+     </select>
+    </td>
    </tr>
 <!-- END body -->