Index: /trunk/expressoCalendar/setup/setup.inc.php
===================================================================
--- /trunk/expressoCalendar/setup/setup.inc.php	(revision 632)
+++ /trunk/expressoCalendar/setup/setup.inc.php	(revision 920)
@@ -44,6 +44,6 @@
 	/* Dependencies for this app to work */
 	$setup_info['expressoCalendar']['depends'][] = array(
-		'appname' => 'phpgwapi',
-		'versions' => Array('0.9.14','0.9.15','1.0.0')
+		'appname' => 'calendar',
+		'versions' => Array('0.9.3')
 	);
 ?>
Index: /trunk/expressoCalendar/xsl/viewMonth.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/viewMonth.xsl	(revision 748)
+++ /trunk/expressoCalendar/xsl/viewMonth.xsl	(revision 920)
@@ -21,5 +21,5 @@
 					<xsl:for-each select="workday">
 						<xsl:variable name="day" select="id" />
-						<td class="td_day" id="{$day}">
+						<td class="td_day" style="height: 15;" id="{$day}">
 							<xsl:value-of select='substring($day,5,2)' />
 						</td>
Index: /trunk/expressoCalendar/xsl/addDialog.xsl
===================================================================
--- /trunk/expressoCalendar/xsl/addDialog.xsl	(revision 632)
+++ /trunk/expressoCalendar/xsl/addDialog.xsl	(revision 920)
@@ -27,5 +27,5 @@
 		<td><font size="-1"><label forid="b_subject">Título:</label></font></td>
 		<td class="" id="bubble_input">
-			<input style="height:18px" id="dragEventSubject" size="35" name="b_subject"/>
+			<input style="height:18px" id="dragEventSubject" onclick="this.focus();" size="35" name="b_subject"/>
 		</td>
 	</tr>
@@ -33,5 +33,5 @@
 		<td><font size="-1"><label forid="b_bdescription">Descrição:</label></font></td>
 		<td class="" id="bubble_input">
-			<input style="height:18px" id="dragEventDescription" size="35" name="b_description"/>
+			<input style="height:18px" id="dragEventDescription" onclick="this.focus();" size="35" name="b_description"/>
 		</td>
 	</tr>
@@ -39,6 +39,9 @@
 	<table><tbody><tr>
 				<td>
-					<div id="addEventLink" class="buttontype" onclick="quickAddEvent(document.getElementById('dragEventSubject').value,document.getElementById('dragEventDescription').value,_dragArea.initEvent,_dragArea.endEvent);">Add event</div></td><td>
-				<div id="addDetailsLink" class="buttontype" onclick="addDetails(document.getElementById('dragEventSubject').value,document.getElementById('dragEventDescription').value,_dragArea.initEvent,_dragArea.endEvent);">Add with details</div></td>
+					<div id="addEventLink" style="height: 32; width: 32; background: url(templates/default/images/add.png) no-repeat;" onclick="quickAddEvent(document.getElementById('dragEventSubject').value,document.getElementById('dragEventDescription').value,_dragArea.initEvent,_dragArea.endEvent);"></div>
+				</td>
+				<td>
+					<div id="addDetailsLink" style="height: 32; width: 32; background: url(templates/default/images/details.png) no-repeat;" onclick="addDetails(document.getElementById('dragEventSubject').value,document.getElementById('dragEventDescription').value,_dragArea.initEvent,_dragArea.endEvent);"></div>
+				</td>
 			</tr>
 	</tbody></table>
Index: /trunk/expressoCalendar/inc/class.bocalendar.inc.php
===================================================================
--- /trunk/expressoCalendar/inc/class.bocalendar.inc.php	(revision 696)
+++ /trunk/expressoCalendar/inc/class.bocalendar.inc.php	(revision 920)
@@ -78,5 +78,5 @@
 		// Performing SQL query
 		$day = getdate($dayTime);
-		$query = "SELECT cal_id, title, description, datetime, edatetime FROM phpgw_cal where ".($this->cat_id>0?"(category=".$this->cat_id.") and":"")." (owner = '".$this->user_id."') and ((datetime > ".mktime(0,0,0,$day['mon'],$day['mday'],$day['year'])." and datetime < ".mktime(0,0,0,$day['mon']+1,$day['mday'],$day['year']).") or (edatetime > ".mktime(0,0,0,$day['mon'],$day['mday'],$day['year'])." and edatetime < ".mktime(0,0,0,$day['month']+1,$day['day'],$day['year'])."))";
+		$query = "SELECT cal_id, title, description, datetime, edatetime FROM phpgw_cal where ".($this->cat_id>0?"(category=".$this->cat_id.") and":"")." (owner = '".$this->user_id."') and ((datetime > ".mktime(0,0,0,$day['mon'],$day['mday'],$day['year'])." and datetime < ".mktime(0,0,0,$day['mon']+1,$day['mday'],$day['year']).") or (edatetime > ".mktime(0,0,0,$day['mon'],$day['mday'],$day['year'])." and edatetime < ".mktime(0,0,0,$day['month']+1,$day['day'],$day['year']).")) order by datetime";
 		if (!$this->db->query($query))
 			return false;
Index: /trunk/expressoCalendar/js/calendar_functions.js
===================================================================
--- /trunk/expressoCalendar/js/calendar_functions.js	(revision 748)
+++ /trunk/expressoCalendar/js/calendar_functions.js	(revision 920)
@@ -68,6 +68,8 @@
 	}
 	document.getElementById('dragEventSubject').focus();
-	document.getElementById('addEventLink').innerHTML = get_lang("Add this event");
-	document.getElementById('addDetailsLink').innerHTML = get_lang("Add with details");
+	document.getElementById('addEventLink').alt = get_lang("Add this event");
+	document.getElementById('addEventLink').title = get_lang("Add this event");
+	document.getElementById('addDetailsLink').alt = get_lang("Add with details");
+	document.getElementById('addDetailsLink').title = get_lang("Add with details");
 
 
@@ -165,5 +167,4 @@
 		alert(e);
 	}
-	document.getElementById('divAppbox').style.height = "100%";
 
 	if (type == 'Week' || type == 'Month')
@@ -333,7 +334,7 @@
 		var tdElement = document.getElementById(timeStamp2id(eventDiv.childNodes[0].id).substr(0,8)+'0000');
 		eventDiv.style.width = "60px";
-		eventDiv.style.height = "15px";
-		eventDiv.onmouseover = function () { if (this.childNodes[2].length > 9) this.style.width = "auto"; this.style.zIndex = 2; };
-		eventDiv.onmouseout = function () { this.style.width = "60px"; this.style.zIndex = 1; };
+		eventDiv.style.height = "30px";
+		eventDiv.onmouseover = function () { if (this.childNodes[2].length > 12) { this.style.width = "120px"; this.style.height = "auto"; }  this.style.zIndex = 2; };
+		eventDiv.onmouseout = function () { this.style.height = "30px"; this.style.width = "60px"; this.style.zIndex = 1; };
 		eventDiv.onclick = function () { calendar.getView('div_main','Day',eventDiv.childNodes[1].id); };
 		eventDiv.style.cursor = "pointer";
@@ -341,8 +342,6 @@
 		tdElement.style.height = (tdElement.childNodes.length * 10) + "px";
 
-		if (tdElement.childNodes.length > 3)
-			eventDiv.style.margin = "20 0 0 "+(20+(tdElement.childNodes.length-4)*25);
-		else
-			eventDiv.style.margin = "0 0 0 "+(20+(tdElement.childNodes.length-1)*25);
+		eventDiv.style.margin = (tdElement.childNodes.length-1)*25+" 0 0 "+(20+(tdElement.childNodes.length-1)*25);
+		tdElement.style.height = parseInt(tdElement.childNodes.length)*30;
 	}
 	if (tdElement == null)
Index: /trunk/expressoCalendar/templates/default/index.tpl
===================================================================
--- /trunk/expressoCalendar/templates/default/index.tpl	(revision 696)
+++ /trunk/expressoCalendar/templates/default/index.tpl	(revision 920)
@@ -31,4 +31,4 @@
 </tbody>
 </table>
-<div style="width:100%;height:100%" id="div_main"></div>
+<div style="width:100%;height:auto" id="div_main"></div>
 <!-- END index -->