Index: trunk/phpgwapi/templates/canyon/images/login_box.png
===================================================================
--- trunk/phpgwapi/templates/canyon/images/login_box.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_box.png
Index: trunk/phpgwapi/templates/canyon/images/login_expresso.png
===================================================================
--- trunk/phpgwapi/templates/canyon/images/login_expresso.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_expresso.png
Index: trunk/phpgwapi/templates/fozi/images/login_box.png
===================================================================
--- trunk/phpgwapi/templates/fozi/images/login_box.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_box.png
Index: trunk/phpgwapi/templates/fozi/images/login_expresso.png
===================================================================
--- trunk/phpgwapi/templates/fozi/images/login_expresso.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_expresso.png
Index: trunk/phpgwapi/templates/azul/login.css
===================================================================
--- trunk/phpgwapi/templates/azul/login.css	(revision 922)
+++ trunk/phpgwapi/templates/azul/login.css	(revision 938)
@@ -10,49 +10,117 @@
 }
 
-.login {
-	text-align:center;
-	background-color: #F7F7F7;
-	border: 1px solid #CCCCCC;
-	margin: 5px 5px 50px;
-	padding: 5px;
-	height: 116px;
-	width: 300px;
+#conteudo {
+        background:url(../../../phpgwapi/templates/default/images/back_pagina.jpg) repeat-x #fff;
 }
+
+#conteudo_corpo{
+        margin:auto 0; width:770px;
+}
+
+#superior {
+        background: url(../../../phpgwapi/templates/default/images/fundo1.jpg) no-repeat top left;
+        height:340px;
+}
+
+#superior .login_table {
+        position:absolute;
+        top:10px;
+        left:290px;
+        padding: 1px;
+        width: 242px;
+}
+
+#login {
+        text-align:left;
+        position: relative;
+        top: 116px;
+        right:162px;
+}
+
+#login td {
+        text-align:left;
+}
+
+.login_label {
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size: 12px;
+        color: #003366;
+        font-weight: bold;
+}
+
+
+.button {
+        background:url(../../../phpgwapi/templates/default/images/back_botao.jpg) #1F4F7E no-repeat scroll left top;
+        color:#fff;
+        font-family: Arial,Verdana, Helvetica, sans-serif;
+        font-size:12px;
+        padding-top:2px 4px 2px 4px;
+        margin:2px 1px 0pt;
+        border: medium none;
+        font-weight: bold;
+        height:31px;
+        width:83px;
+}
+
+
+.button:hover {
+        background:url(../../../phpgwapi/templates/default/images/back_botao_over.jpg) #FD9C0E no-repeat top left;
+        color:#1F4F7E;
+}
+
+#inferior {
+        background: url(../../../phpgwapi/templates/default/images/fundo2.jpg) no-repeat top left;
+        height:146px;
+}
+
+#rodape {
+        text-align:left;
+        width:100%;
+        position: relative;
+        margin:0;
+}
+
+#rodape table {
+        width:250px;
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size:11px;
+        color: #666666;
+        font-weight:bold;
+        text-align:right;
+        margin-left:108px;
+        _margin-left:58px;
+}
+
+.ajuda {
+        height:20px;
+        margin-top:4px;
+	margin-left:25px;
+}
+.ajuda a {
+        font-family:  Arial, Verdana,Helvetica, sans-serif;
+        font-size:11px;
+        color: #FFF;
+        font-weight:bold;
+        text-decoration:none;
+}
+
+.ajuda a:hover {
+        text-decoration:underline;
+}
+
+.login_Label {
+	font-family: Verdana, Arial, Helvetica, sans-serif;
+	font-size: 11px;
+	color: #000066;
+	padding-top: 0px;
+}
+
 .msgInicial {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
+	height: 15px;
 	font-size: 12px;
 	color: #000066;
 	font-weight: bold;
 	padding-top: 0px;
+	padding-left: 22px;
 }
-input {
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: #006699;
-	border: 1px solid #000066;
-}
-select {
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: #006699;
-	background-color: #FFFFFF;
-	border: 1px solid #000066;
-}
-.button {
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: 006699;
-	background-color: #D4D0C8;
-	border: 1px solid #666666;
-}
-.loginLabel {
-	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 10px;
-	color: #000066;
-	padding-left: 15px;
-}
-.tableLogin {
-	padding: 1px;
-	width: 225px;
-}
-
Index: trunk/phpgwapi/templates/azul/images/login_box.png
===================================================================
--- trunk/phpgwapi/templates/azul/images/login_box.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_box.png
Index: trunk/phpgwapi/templates/azul/images/login_expresso.png
===================================================================
--- trunk/phpgwapi/templates/azul/images/login_expresso.png	(revision 791)
+++ 	(revision )
@@ -1,1 +1,0 @@
-link ../../celepar/images/login_expresso.png
Index: trunk/phpgwapi/templates/azul/login.tpl
===================================================================
--- trunk/phpgwapi/templates/azul/login.tpl	(revision 921)
+++ trunk/phpgwapi/templates/azul/login.tpl	(revision 938)
@@ -46,72 +46,52 @@
 </HEAD>
 <body scroll="no"  style="overflow:hidden" onLoad="javascript:getLogin()" bgcolor="#ffffff">
-<table border="0" height="100%" width="100%" background="phpgwapi/templates/azul/images/fundo_login.png">
-<tr><td align="center" valign="center">
-<table align="center" border="1" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="100%"  height="100%">
-<tbody><tr>
-    <td  height="100%">
-<table cellpadding="0" cellspacing="0" width="100%"  height="100%">
-	<tbody><tr height="615px">
-    <td height="100%">
-    <table cellpadding="0" height="100%" cellspacing="0" width="100%" border="0"><tr><td width="60%">&nbsp;</td><td>
-	<div align="center" class="msgInicial">{cd}<br>{lang_message}<br>{website_title}{frontend_name}<br><br></div>
-        <table border="0" bordercolor="#cfcfcf" cellpadding="0" cellspacing="0" width="300">
-          <tbody><tr>
-				<FORM name="form_login" method="post" action="{login_url}" {autocomplete}>
-				<input type="hidden" name="passwd_type" value="text">
-				<input type="hidden" name="account type" value="u">
-				<input type="hidden" name="login">
-				<tr><td width="60%">&nbsp;</td><td>
-            	<td height="173" background="phpgwapi/templates/azul/images/login_box.png" border="0">
-					<table align="center" border="0" cellpadding="0" cellspacing="0" class="tableLogin">
-						<tr><td width="96" colspan="3">&nbsp;</td></tr>	
-						<!-- BEGIN language_select -->
-						<tr>
-							<td width="96" class="loginLabel">{lang_language}:&nbsp;</td>
-							<td width="96">{select_language}</td>
-						</tr>
-						<!-- END language_select -->
-						{select_organization}
-					    <tr><td width="96" class="loginLabel">{lang_username}:&nbsp;</td>
-						<td width="96"><input name="user" size="15"></td>
-					  </tr>
-					  <tr>
-						<td width="96" class="loginLabel">{lang_password}:&nbsp;</td>
-						<td width="135"><input name="passwd" type="password" size="15"></td>
-
-					  </tr>
-					  <tr>
-						<td width="66">&nbsp;</td>
-						<td width="135">
-						  <input type="submit" value="{lang_login}" name="submitit" class=button onClick="javascript:setLogin()">
-						</td>
-						</tr>
-					 <tr>
-				  		<td width="66">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
-				  			<!--a href="#" title="Clique aqui para ajuda" alt="Clique aqui para ajuda" onmouseover="javascript:self.status='Ajuda do Expresso Livre'" onmouseout="javascript:self.status=''" onclick="javascript:openWindow(480,510,'help')">
-				  				<font size="-1"> Ajuda</font></a--></td>
-						<td width="135">&nbsp;</td>
-						<td>&nbsp;</td>		
-				  	   </tr>		
-					</table>              
-              </td>
-              </form>
-          </tr>
-        </tbody></table>      
-      </td</tr></table>
-      </div>
-      </td>		
-    <td><div><img src="phpgwapi/templates/azul/images/login_expresso.png" alt=""></div></td>
-    <td valign="top"><div align="right">
-        <table border="0" cellpadding="0" cellspacing="0" width="300px">
-          <tbody><tr> 
-            <td><img border=0 src="phpgwapi/templates/azul/images/patrocinio.png"></td>
-         </tr>
-        </tbody></table><br>
-      </div></td>
-	 <td height="100%"></td>
-	</tr>	
-</tbody></table>
-</td></tr></tbody></table>
-</td></tr></table>
+<div id="conteudo">
+<div style="position: absolute; top:0px; right: 10px;"><span class="login_label">{lang_language}&nbsp;&nbsp;</span>{select_language}</div>
+<div align="center">
+	<div id="conteudo_corpo">
+		<div id="superior">
+		<div id="login">
+      <div align="center">
+<form name="form_login" method="post" action="{login_url}" {autocomplete}>
+<input type="hidden" name="passwd_type" value="text">
+<input type="hidden" name="account type" value="u">
+<input type="hidden" name="login">
+<div align="center" class="msgInicial">{cd}<br>{lang_message}</div>
+<table class="login_table">
+		<tr>
+		  <td class="login_label">{lang_username}</td>
+		  </tr>
+		<tr>
+		<td><input type="text" name="user" id="chave" size="15" maxlength="20" value=""></td>
+		</tr>
+		<tr>
+		<td class="login_label">{lang_password}</tr>
+		<tr>
+		<td><input type="password" name="passwd" id="senha" size="15">
+		</tr>
+		<tr>
+		<td>
+		<input value="{lang_login}" name="submitit" class="button" onClick="javascript:setLogin()" type="submit">&nbsp;&nbsp;&nbsp;</td>
+		</tr><tr><td>&nbsp;</td></tr><tr><td><div class="ajuda"><a href="#">Ajuda</a></div></td>
+                </tr>
+		</table>
+</form>
+</div>
+</div>
+</div>
+<div id="inferior"><br />
+<div id="rodape">
+<table align="center" cellspacing="0" cellpadding="0" border="0">
+<tr>
+<td><a title="Governo do Paran&aacute;" href="http://www.pr.gov.br/" target="_blank"><img src="http://www.pr.gov.br/logos/logo_gov_60x45px.gif" border="0" /></a></td>
+<td class="text_rodape"><a title="Celepar Inform&aacute;tica do Paran&aacute;" target="_blank" href="http://www.celepar.pr.gov.br/"><img src="http://www.pr.gov.br/logos/logo_celepar.gif" width="86" height="40" border="0" /></a></td>
+<td><a title="" target="_blank" href="#"><img src="phpgwapi/templates/default/images/egroupware.jpg" width="92" height="31" border="0" /></a><br />
+1.0.0.007<a href="http://www.pr.gov.br/" target="_blank"></a></td>
+</tr>
+</table>
+</div>
+</div>
+</div>
+</div>
+</div>
 </body></html>