Index: trunk/workflow/setup/phpgw_pt-br.lang
===================================================================
--- trunk/workflow/setup/phpgw_pt-br.lang	(revision 795)
+++ trunk/workflow/setup/phpgw_pt-br.lang	(revision 947)
@@ -101,5 +101,5 @@
 at least one email address cannot be validated.	workflow	pt-br	ao menos um endereço de email não pode ser validado.
 auto routed	workflow	pt-br	Roteamento automático
-auto-release on leaving activity	common	pt-br	liberação automática ao sair da atividade
+auto-release on leaving activity	common	pt-br	Liberação automática ao sair da atividade
 automatic	workflow	pt-br	Automática
 autorouted activities does not need to be sent by any user after their execution	workflow	pt-br	Atividades de autoroteamento não necessitam ser enviadas para qualquer usuário após a sua execução
@@ -174,6 +174,6 @@
 do you want the started date column on instances lists.	workflow	pt-br	Você deseja a coluna com data de início, nas listas de instância?
 don't move	workflow	pt-br	Não mova
-draw roles	common	pt-br	mostrar perfis
-draw roles on the graph beside activity name like [that]	admin	pt-br	mostrar perfis no gráfico, ao lado do nome da atividade, no formato [perfil]
+draw roles	common	pt-br	Mostrar perfis
+draw roles on the graph beside activity name like [that]	admin	pt-br	Mostrar perfis no gráfico, ao lado do nome da atividade, no formato [perfil]
 duration	workflow	pt-br	Duração
 empty agent type	workflow	pt-br	tipo de agente vazio
@@ -236,7 +236,7 @@
 if automatic parsing is disabled next options will be useless	admin	pt-br	se o parsing automático estiver desabilitado, as próximas opções serão desnecessárias
 if not in debug mail_smtp agent would have sent this email:	workflow	pt-br	se não estivesse em modo debug, o agente mail_smtp teria enviado este email:
-if user is in a role for an activity he will have the right to abort the related instance	admin	pt-br	se o usuário está em um perfil para uma atividade, ele terá o direito de abortar a instância associada
-if user is in a role for an activity he will have the right to exception or resume the related instance	admin	pt-br	se o usuário está em um perfil para uma atividade, ele terá o direito de lançar uma exceção ou retomar a instância associada
-if user is in a role for an activity he will have the right to release (un-assign) the related instance	admin	pt-br	se o usuário está em um perfil para uma atividade, ele terá o direito de liberar (desassinalar) a instância associada
+if user is in a role for an activity he will have the right to abort the related instance	admin	pt-br	Se o usuário está em um perfil para uma atividade, ele terá o direito de abortar a instância associada
+if user is in a role for an activity he will have the right to exception or resume the related instance	admin	pt-br	Se o usuário está em um perfil para uma atividade, ele terá o direito de lançar uma exceção ou retomar a instância associada
+if user is in a role for an activity he will have the right to release (un-assign) the related instance	admin	pt-br	Se o usuário está em um perfil para uma atividade, ele terá o direito de liberar (desassinalar) a instância associada
 if:setnextact	workflow	pt-br	If:SetNextact
 iframe view height	workflow	pt-br	Altura do frame de Visualização
@@ -348,11 +348,11 @@
 or import a process	workflow	pt-br	Ou importar um processo
 owner	workflow	pt-br	Proprietário
-owner of the instance will have the right to abort the instance at any time	admin	pt-br	o proprietário da instância terá o direito de abortar a instância a qualquer tempo
-owner of the instance will have the right to exception or resume the instance at any time	admin	pt-br	o proprietário da instância terá o direito de lançar uma exceção ou retomar a instância a qualquer tempo
-owner of the instance will have the right to release (un-assign) an activity assigned to an user	admin	pt-br	o proprietário da instância terá o direito de liberar (desassinalar) uma atividade assinalada a um usuário
+owner of the instance will have the right to abort the instance at any time	admin	pt-br	O proprietário da instância terá o direito de abortar a instância a qualquer tempo
+owner of the instance will have the right to exception or resume the instance at any time	admin	pt-br	O proprietário da instância terá o direito de lançar uma exceção ou retomar a instância a qualquer tempo
+owner of the instance will have the right to release (un-assign) an activity assigned to an user	admin	pt-br	O proprietário da instância terá o direito de liberar (desassinalar) uma atividade assinalada a um usuário
 owner:	workflow	pt-br	Proprietário:
-ownership give abort right	common	pt-br	a posse garante o direito de abortar
-ownership give exception right	common	pt-br	a posse garante o direito de lançar exceção
-ownership give release right	common	pt-br	a posse garante o direito de liberar
+ownership give abort right	common	pt-br	A posse garante o direito de abortar
+ownership give exception right	common	pt-br	A posse garante o direito de lançar exceção
+ownership give release right	common	pt-br	A posse garante o direito de liberar
 please wait, task in progress ...	workflow	pt-br	Por favor aguarde, atividade em execução ...
 post activity %1 code is not avaible	workflow	pt-br	código da pós-atividade %1 não está disponível
@@ -416,7 +416,7 @@
 role added to activity	workflow	pt-br	Perfil adicionado à atividade
 role added to process	workflow	pt-br	Perfil adicionado ao processo
-role give abort right	common	pt-br	perfil garante o direito de abortar
-role give exception right	common	pt-br	perfil garante o direito de lançar exceção
-role give release right	common	pt-br	perfil garante o direito de liberar
+role give abort right	common	pt-br	Perfil garante o direito de abortar
+role give exception right	common	pt-br	Perfil garante o direito de lançar exceção
+role give release right	common	pt-br	Perfil garante o direito de liberar
 role in inexistent process	workflow	pt-br	Perfil em processo inexistente
 role mapping in inexistent process	workflow	pt-br	Mapeamento de Perfil em processo inexistente
@@ -471,5 +471,5 @@
 show multiple submit as select	common	pt-br	mostrar múltiplos submit como seleção
 show template	workflow	pt-br	mostrar template
-size of the font used on the graph 12 should be a good default value	admin	pt-br	tamanho da fonte usada nos gráficos. Recomenda-se 12 como valor padrão
+size of the font used on the graph 12 should be a good default value	admin	pt-br	Tamanho da fonte usada nos gráficos. Recomenda-se 12 como valor padrão
 smtp agent has detected some errors when sending email after completion of the activity	workflow	pt-br	Agente Smtp detectou alguns erros quando enviou o email após a finalização da atividade
 smtp agent has detected some errors when sending email at the beginning of the activity	workflow	pt-br	Agente Smtp detectou alguns erros quando enviou o email no início da atividade
@@ -531,8 +531,10 @@
 this agent gives the activity the possibility to send an smtp message (mail)	workflow	pt-br	Este agente permite que esta atividade possa enviar uma mensagem SMTP (email)
 this form will test your local workflow installation to detect potential issues	workflow	pt-br	Este formulário irá testar a sua instalação local de workflow, para detectar problemas potenciais
-this is the first screen shown when you click on the workflow application icon	workflow	pt-br	Esta é a primeira tela a ser mostrada quando você clicar no ícone do módulo de workflow
+this is the first screen shown when you click on the workflow application icon	workflow	pt-br	Esta é a primeira tela a ser mostrada quando você clicar no ícone do módulo de workflow.
+sets the default sorting criteria for the inbox instances.	workflow	pt-br	Define o critério de ordenação padrão para as instâncias nas tarefas pendentes.
+determines the number of items per page in the user interface.	workflow	pt-br	Determina o número de itens por página na interface do usuário.
 this process has a view activity. access in view mode is granted only for this view activty.	workflow	pt-br	Este processo tem uma atividade view. O acesso em modo visualização é dado apenas para esta atividade view.
 this process has no end activity	workflow	pt-br	este processo não tem uma atividade end
-this will automatically release the instance when leaving an activity without completing	admin	pt-br	isto irá automaticamente liberar a instância quando sair de uma atividade sem completá-la
+this will automatically release the instance when leaving an activity without completing	admin	pt-br	Isto irá automaticamente liberar a instância quando sair de uma atividade sem completá-la
 this will display an activity footer when any activity is runned with workflow engine related informations	admin	pt-br	isto irá mostrar um rodapé da atividade quando qualquer atividade for executada com informações relacionadas ao motor de workflow
 to	workflow	pt-br	Para
@@ -635,6 +637,6 @@
 number of items per page	preferences	pt-br	Número de itens por página
 warnings in this process	workflow	pt-br	Avisos neste processo
-disable advanced actions for all users	admin	pt-br	desabilitar ações avançadas de todos os usuários
-disable advanced actions	common	pt-br	desabilitar ações avançadas
+disable advanced actions for all users	admin	pt-br	Desabilitar ações avançadas de todos os usuários
+disable advanced actions	common	pt-br	Desabilitar ações avançadas
 user of the ldap	admin	pt-br	Usuário do LDAP
 ldap user	common	pt-br	Usuário
@@ -657,5 +659,5 @@
 move instances	workflow	pt-br	Mover Instâncias
 show activity complete page	preferences	pt-br	Exibir página de atividade concluída
-Determines if the activity complete page should be displayed after the completion of the activity	preferences	pt-br	Determina se a página de atividade concluída deve ser exibida após a conclusão da atividade
+Determines if the activity complete page should be displayed after the completion of the activity	preferences	pt-br	Determina se a página de atividade concluída deve ser exibida após a conclusão da atividade.
 External Applications options 	admin	pt-br	Opções das Aplicações Externas
 subnetworks of the intranet (separed by ;)	admin	pt-br	Subredes da intranet (separadas por ;)
@@ -674,5 +676,5 @@
 ldap options	common	pt-br	Opções para LDAP
 use light interface	preferences	pt-br	Usar interface leve
-determines if a lighter version of the interface should be used	preferences	pt-br	Determina se uma interface mais leve deve ser usada
+determines if a lighter version of the interface should be used	preferences	pt-br	Determina se uma interface mais leve deve ser usada.
 jobs	workflow	pt-br	Jobs
 upload	workflow	pt-br	Upload
@@ -682,7 +684,7 @@
 invalid version specified	workflow	pt-br	Versão inválida especificada
 if left blank, the original value will be used	workflow	pt-br	Se deixado em branco, o valor original será usando
-the activities will be executed using secure connection	admin	pt-br	as atividades serão executadas utilizando conexão segura
+the activities will be executed using secure connection	admin	pt-br	As atividades serão executadas utilizando conexão segura
 use secure connection	admin	pt-br	utilizar conexão segura
-execute activities using secure connection	workflow	pt-br	executar atividades utilizando conexão segura
+execute activities using secure connection	workflow	pt-br	Executar atividades utilizando conexão segura
 the following file could not be found: %1	workflow	pt-br	O seguinte arquivo não pode ser encontrado: %1
 emergency	common	pt-br	Emergência