Index: trunk/expressoMail1_2/js/search.js
===================================================================
--- trunk/expressoMail1_2/js/search.js	(revision 845)
+++ trunk/expressoMail1_2/js/search.js	(revision 976)
@@ -348,6 +348,9 @@
 			tr.id = uid_msg;
 			tr.setAttribute('name',mailbox);
-
-			var _onclick = function () { cExecute("$this.imap_functions.get_info_msg&msg_number="+this.parentNode.id+"&msg_folder="+url_encode(this.parentNode.getAttribute('name')),show_msg); };
+			if (aux[5].match("U"))
+				add_className(tr,'tr_msg_unread');
+			add_className(tr, i%2 != 0 ? 'tr_msg_read2' : 'tr_msg_read');
+			  
+			var _onclick = function () { cExecute("$this.imap_functions.get_info_msg&msg_number="+this.parentNode.id+"&msg_folder="+url_encode(this.parentNode.getAttribute('name')),show_msg); };			
 			for(var j=0 ; j < 10 ; j++)
 			{
@@ -355,10 +358,7 @@
 				if (j == 0)
 				{
-					if (aux[5].match("U"))
-						tr.className = 'tr_msg_unread';
-					else
-						tr.className = 'tr_msg_read';
 					td.style.width = "1%";
 					var td1 = '<input type="checkbox" id="check_box_message_'+uid_msg+'"></input>';
+					
 				}
 				if (j == 1)
@@ -391,6 +391,6 @@
 					if (aux[5].match("F"))
 					{
-						tr.className = 'flagged_msg';
-						td1 = '<img title="Importante" src="templates/'+template+'/images/important.gif"/>';
+						add_className(tr, 'flagged_msg');
+						td.style.background = "url(templates/"+template+"/images/important.gif) no-repeat center";
 					}
 					else
@@ -463,9 +463,7 @@
 				{
 					if (aux[5].match("U"))
-						tr.className = 'tr_msg_unread';
-					else
-						tr.className = 'tr_msg_read';
+						add_className(tr, 'tr_msg_unread');
 					if (aux[5].match("F"))
-						tr.className = 'flagged_msg';
+						add_className(tr, 'flagged_msg');
 					var td1 = '';
 				}
Index: trunk/expressoMail1_2/js/common_functions.js
===================================================================
--- trunk/expressoMail1_2/js/common_functions.js	(revision 959)
+++ trunk/expressoMail1_2/js/common_functions.js	(revision 976)
@@ -108,5 +108,4 @@
 	remove_className(tr_message, 'tr_msg_unread');
 	remove_className(tr_message, 'selected_msg');
-	add_className(tr_message, 'tr_msg_read');
 	purgeCache();
 	return true;
@@ -120,7 +119,6 @@
 function set_msg_as_unread(msg_number){
 	tr_message = Element(msg_number);
-	if (exist_className(tr_message, 'tr_msg_read'))
+	if (exist_className(tr_message, 'tr_msg_read') || exist_className(tr_message, 'tr_msg_read2')) 
 		increment_folder_unseen();
-	remove_className(tr_message, 'tr_msg_read');
 	remove_className(tr_message, 'selected_msg');
 	add_className(tr_message, 'tr_msg_unread');
@@ -131,5 +129,5 @@
 	remove_className(msg, 'selected_msg');
 	add_className(msg, 'flagged_msg');
-	Element("td_message_important_"+msg_number).innerHTML = '<img src=templates/'+template+'/images/important.gif title='+get_lang('Important!')+'>';
+	Element("td_message_important_"+msg_number).style.background = "url(templates/"+template+"/images/important.gif) no-repeat center";
 }
 
@@ -138,5 +136,5 @@
 	remove_className(msg, 'selected_msg');
 	remove_className(msg, 'flagged_msg');
-	Element("td_message_important_"+msg_number).innerHTML = '';
+	Element("td_message_important_"+msg_number).style.background = null;
 }
 
@@ -825,5 +823,5 @@
 	var re = new RegExp("\\s*"+className);
 	if (obj)
-		obj.className = obj.className.replace(re, '');
+		obj.className = obj.className.replace(re, ' ');
 }
 
Index: trunk/expressoMail1_2/js/main.js
===================================================================
--- trunk/expressoMail1_2/js/main.js	(revision 902)
+++ trunk/expressoMail1_2/js/main.js	(revision 976)
@@ -228,6 +228,7 @@
 			var box = Element("tbody_box");
 			table_element.appendChild(box);
+			
 			for (var i=0; i<data.length; i++){
-				var new_msg = this.make_tr_message(data[i], current_folder);
+				var new_msg = this.make_tr_message(data[i], current_folder);				
 				_dragArea.makeDragged(new_msg, data[i].msg_number, data[i].subject, true);
 				eval(data[i].command);
@@ -243,9 +244,14 @@
 				alert(get_lang("You have %1 new", data['new_msgs'])+" "+(data['new_msgs'] > 1 ? get_lang("messages") : get_lang("message")) +"!");
 			if(data.new_msgs > 0){
-			Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) + parseInt(data.new_msgs); //refresh tab title
-			update_quota(get_current_folder());
-			}
+				Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) + parseInt(data.new_msgs); //refresh tab title
+				update_quota(get_current_folder());
+			}						
 			 //if(data.new_msgs > 0 || data.msgs_to_delete.length > 0)
-			//	purgeCache();
+			//	purgeCache();						
+		}
+		// Update Box BgColor
+		var box = Element("tbody_box");
+		if(box.childNodes.length > 1){
+			updateBoxBgColor(box.childNodes);
 		}
 		purgeCache();
@@ -324,4 +330,5 @@
 			}
 		}
+		
 		if (show_success_msg) {
 			if (data.msgs_number.length == 1)
@@ -341,5 +348,5 @@
 		}
 		Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) - data.msgs_number.length;
-		refresh();
+		refresh();	
 	}
 
@@ -387,4 +394,9 @@
 		for (i = 0; i < selected_messages.length; i++){
 			removeAll(selected_messages[i]);
+		}
+		// Update Box BgColor
+		var box = Element("tbody_box_"+currentTab.substr(7)).childNodes;
+		if(main_list.length > 1){
+			updateBoxBgColor(box);
 		}
 		purgeCache();
@@ -483,4 +495,5 @@
 			if(msg_to_delete)
 				mail_msg.removeChild(msg_to_delete);
+						
 			return;
 		}
@@ -496,5 +509,5 @@
 		else if( typeof(msgs_number) == 'number')
 			all_search_msg = msgs_number;
-
+		
 		for (var i=0; i <= all_search_msg.length; i++)
 		{
@@ -517,5 +530,4 @@
 			}
 		}
-
 		for (var i=0; i<data.msgs_number.length; i++)
 		{
@@ -524,5 +536,6 @@
 				mail_msg.removeChild(msg_to_delete);
 		}	
-
+		
+		
 		if (data.msgs_number.length == 1)
 			write_msg(get_lang("The message was moved to folder ") + lang_folder(data.new_folder_name));
@@ -539,4 +552,5 @@
 		if(folder == get_current_folder())
 			Element('tot_m').innerHTML = parseInt(Element('tot_m').innerHTML) - data.msgs_number.length;			
+		
 		refresh();
 	}
@@ -1396,5 +1410,5 @@
 			{
 				//Update mailbox
-                                var tr_msg = document.getElementById(message_id);
+                var tr_msg = document.getElementById(message_id);
 				change_tr_properties(tr_msg, data.msg_no, data.subject);
 			}
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 848)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 976)
@@ -1,3 +1,3 @@
-var openTab = {
+ var openTab = {
 	'type' : [], // 8 types of tabs, further info. see expressolivre.org/dev/wiki/mail/Documentacao
 	'content_id' : [],
@@ -637,6 +637,8 @@
 				f_unseen++;
 			tr_element = this.make_tr_message(headers_msgs[i], msg_folder);
-			if (tr_element)
+			if (tr_element){
 				tbody_element.appendChild(tr_element);
+				add_className(tr_element, i%2 != 0 ? 'tr_msg_read2' : 'tr_msg_read');
+			}
 			_dragArea.makeDragged(tr_element, headers_msgs[i].msg_number, headers_msgs[i].subject, true);
 	}
@@ -709,11 +711,8 @@
 			if ((headers_msgs.Flagged == 'F') || (headers_msgs.Importance.toLowerCase().indexOf("high")!=-1 && preferences.use_important_flag == 'True'))
 				add_className(tr_element,'flagged_msg');
-			add_className(tr_element, 'tr_msg_read');
 		}
 
 		if ((headers_msgs.Unseen == 'U') || (headers_msgs.Recent == 'N'))
 			add_className(tr_element, 'tr_msg_unread');
-		else
-			add_className(tr_element, 'tr_msg_read');
 		
 		if (headers_msgs.Flagged == 'F')
@@ -2220,4 +2219,15 @@
 	}
 }
+function updateBoxBgColor(box){
+	// Set first TR Class
+	var _className = 'tr_msg_read2';
+	for(var i = 0; i < box.length;i++){	
+		if(exist_className(box[i],_className))
+			remove_className(box[i], _className);
+		_className = (_className == 'tr_msg_read2' ? 'tr_msg_read' : 'tr_msg_read2');
+		if(!exist_className(box[i],_className))
+			add_className( box[i], _className);
+	}
+}
 
 function changeBgColor(event, msg_number){
Index: trunk/expressoMail1_2/templates/default/main.css
===================================================================
--- trunk/expressoMail1_2/templates/default/main.css	(revision 831)
+++ trunk/expressoMail1_2/templates/default/main.css	(revision 976)
@@ -15,4 +15,5 @@
 	width: 100%;
 	color: black;
+	background: #ffffff;
 	border-style: solid;
 	border-width: 1px;
@@ -32,10 +33,10 @@
 .tr_msg_unread {
 	color: black;
-	background-color: #e8eef7;
-	font-weight: bold;
+	background-color: #e8eef7 !important;
+	font-weight: bold !important;
 	border-bottom:1px solid #cfcfcf;
     -moz-user-select: none;
 }
-.tr_msg_read {
+.tr_msg_read, .tr_msg_read2 {
 	color: black;
 	background-color: #ffffff;
@@ -43,6 +44,7 @@
     -moz-user-select: none;
 }
+
 .selected_msg{
-	background-color: #ffffcc;
+	background-color: #ffffcc !important;
 }
 .flagged_msg{
@@ -51,5 +53,5 @@
 .selected_shortcut_msg{
 	color: white;
-	background-color: #5194d2;
+	background-color: #5194d2 !important;
 }
 .show_img_link{
Index: trunk/expressoMail1_2/templates/azul/main.css
===================================================================
--- trunk/expressoMail1_2/templates/azul/main.css	(revision 831)
+++ trunk/expressoMail1_2/templates/azul/main.css	(revision 976)
@@ -15,4 +15,5 @@
 	width: 100%;
 	color: black;
+	background: #ffffff;
 	border-style: solid;
 	border-width: 1px;
@@ -30,18 +31,23 @@
 /* begin class msgs */
 .tr_msg_unread {
-	color: black;
-	background-color: #e8eef7;
-	font-weight: bold;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;
+	font-weight: bold !important;
 }
 .tr_msg_read {
-	color: black;
+	color: #3f3f3f;
 	background-color: #ffffff;
-	border-bottom:1px solid #cfcfcf;
-    -moz-user-select: none;
-}
+	border-bottom:1px solid #ffffff;
+	-moz-user-select: none;
+}
+
+.tr_msg_read2 {
+	color: #3f3f3f;
+	background-color: #f4f8fb;
+	border-bottom:1px solid #ffffff;
+	-moz-user-select: none;
+}
+
 .selected_msg{
-	background-color: #ffffcc;
+	background-color: #ffffcb;
+	border:1px solid #ffffff;
 }
 .flagged_msg{